'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
	async up(queryInterface, Sequelize) {
		await queryInterface.addColumn('users', 'is_facebook', {
			type: Sequelize.BOOLEAN,
			defaultValue: false,
		});

		await queryInterface.addColumn('users', 'is_google', {
			type: Sequelize.BOOLEAN,
			defaultValue: false,
		});

		await queryInterface.addColumn('users', 'is_apple', {
			type: Sequelize.BOOLEAN,
			defaultValue: false,
		});
	},

	async down(queryInterface, Sequelize) {
		await queryInterface.removeColumn('users', 'is_facebook');
		await queryInterface.removeColumn('users', 'is_google');
		await queryInterface.removeColumn('users', 'is_apple');
	},
};
